Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Plugin Development Environment (PDE) » Running inside Eclipse and Exporting (Import-Package: Conflicts)
Running inside Eclipse and Exporting (Import-Package: Conflicts) [message #21242] Fri, 12 September 2008 11:40 Go to next message
Thomas Schindl is currently offline Thomas SchindlFriend
Messages: 6599
Registered: July 2009
Senior Member
Hi,

I have a strange problem. I have a medium sized project which use a lot
bundles (Eclipse-RCP, Spring-OSGi and Repacked Bundles from SpringSource
(=Hibernate+Dependencies)).

When I run my application and or validate it inside the Run-Dialog all
dependencies are resolved and the application starts with problems.

Now when I create a .product-File from them I suddenly get
Import-Package: xxx conflicts. Why does that happen only on export and
not when I validate the bundles in side the Run-Dialog?

Tom

--
B e s t S o l u t i o n . at
------------------------------------------------------------ --------
Tom Schindl JFace-Committer
------------------------------------------------------------ --------
Re: Running inside Eclipse and Exporting (Import-Package: Conflicts) [message #55283 is a reply to message #21242] Wed, 15 April 2009 14:50 Go to previous messageGo to next message
Eclipse UserFriend
Originally posted by: gaston.tonietti.teracode.com

Hi,

I have a similar problem, I have a product configuration for my application and running it form product form is working perfect but I
get an error while exporting, with a very poor message by the way (It may have which exported package is having the problem at least):

Bundle com.xxx_1.0.0 failed to resolve.:
Package uses conflict: Require-Bundle: org.springframework.osgi.extender; bundle-version="1.1.2"

I was able to solve it some days ago, removing all entries in dependencies tab, then adding my application bundle and clicking "Add
required plug-ins" button, but the error appeared again and I cannot resolve it the same way this time. Very strange.

I would appreciate a lot your help. I must export the product as soon as possible and I'm having problems with the headless build as
well, but lets discus it in a separate thread.

Thanks a lot
Gaston.

Tom Schindl wrote:

> Hi,
>
> I have a strange problem. I have a medium sized project which use a lot
> bundles (Eclipse-RCP, Spring-OSGi and Repacked Bundles from SpringSource
> (=Hibernate+Dependencies)).
>
> When I run my application and or validate it inside the Run-Dialog all
> dependencies are resolved and the application starts with problems.
>
> Now when I create a .product-File from them I suddenly get
> Import-Package: xxx conflicts. Why does that happen only on export and
> not when I validate the bundles in side the Run-Dialog?
>
> Tom
>
Re: Running inside Eclipse and Exporting (Import-Package: Conflicts) [message #55722 is a reply to message #55283] Thu, 16 April 2009 13:22 Go to previous message
Eclipse UserFriend
Originally posted by: gaston.tonietti.teracode.com

It seems that it is caused for some bugs in PDE. Maybe related to:

https://bugs.eclipse.org/bugs/show_bug.cgi?id=269110 or
https://bugs.eclipse.org/bugs/show_bug.cgi?id=267562

I have tried with last nightly build and it worked for me.

Gaston.

Gaston M. Tonietti wrote:

> Hi,
>
> I have a similar problem, I have a product configuration for my
> application and running it form product form is working perfect but I get
> an error while exporting, with a very poor message by the way (It may have
> which exported package is having the problem at least):
>
> Bundle com.xxx_1.0.0 failed to resolve.:
> Package uses conflict: Require-Bundle: org.springframework.osgi.extender;
> bundle-version="1.1.2"
>
> I was able to solve it some days ago, removing all entries in dependencies
> tab, then adding my application bundle and clicking "Add required
> plug-ins" button, but the error appeared again and I cannot resolve it the
> same way this time. Very strange.
>
> I would appreciate a lot your help. I must export the product as soon as
> possible and I'm having problems with the headless build as well, but lets
> discus it in a separate thread.
>
> Thanks a lot
> Gaston.
>
> Tom Schindl wrote:
>
>> Hi,
>>
>> I have a strange problem. I have a medium sized project which use a lot
>> bundles (Eclipse-RCP, Spring-OSGi and Repacked Bundles from SpringSource
>> (=Hibernate+Dependencies)).
>>
>> When I run my application and or validate it inside the Run-Dialog all
>> dependencies are resolved and the application starts with problems.
>>
>> Now when I create a .product-File from them I suddenly get
>> Import-Package: xxx conflicts. Why does that happen only on export and
>> not when I validate the bundles in side the Run-Dialog?
>>
>> Tom
>>
Re: Running inside Eclipse and Exporting (Import-Package: Conflicts) [message #595239 is a reply to message #21242] Wed, 15 April 2009 14:50 Go to previous message
Eclipse UserFriend
Originally posted by: gaston.tonietti.teracode.com

Hi,

I have a similar problem, I have a product configuration for my application and running it form product form is working perfect but I
get an error while exporting, with a very poor message by the way (It may have which exported package is having the problem at least):

Bundle com.xxx_1.0.0 failed to resolve.:
Package uses conflict: Require-Bundle: org.springframework.osgi.extender; bundle-version="1.1.2"

I was able to solve it some days ago, removing all entries in dependencies tab, then adding my application bundle and clicking "Add
required plug-ins" button, but the error appeared again and I cannot resolve it the same way this time. Very strange.

I would appreciate a lot your help. I must export the product as soon as possible and I'm having problems with the headless build as
well, but lets discus it in a separate thread.

Thanks a lot
Gaston.

Tom Schindl wrote:

> Hi,
>
> I have a strange problem. I have a medium sized project which use a lot
> bundles (Eclipse-RCP, Spring-OSGi and Repacked Bundles from SpringSource
> (=Hibernate+Dependencies)).
>
> When I run my application and or validate it inside the Run-Dialog all
> dependencies are resolved and the application starts with problems.
>
> Now when I create a .product-File from them I suddenly get
> Import-Package: xxx conflicts. Why does that happen only on export and
> not when I validate the bundles in side the Run-Dialog?
>
> Tom
>
Re: Running inside Eclipse and Exporting (Import-Package: Conflicts) [message #595419 is a reply to message #55283] Thu, 16 April 2009 13:22 Go to previous message
Eclipse UserFriend
Originally posted by: gaston.tonietti.teracode.com

It seems that it is caused for some bugs in PDE. Maybe related to:

https://bugs.eclipse.org/bugs/show_bug.cgi?id=269110 or
https://bugs.eclipse.org/bugs/show_bug.cgi?id=267562

I have tried with last nightly build and it worked for me.

Gaston.

Gaston M. Tonietti wrote:

> Hi,
>
> I have a similar problem, I have a product configuration for my
> application and running it form product form is working perfect but I get
> an error while exporting, with a very poor message by the way (It may have
> which exported package is having the problem at least):
>
> Bundle com.xxx_1.0.0 failed to resolve.:
> Package uses conflict: Require-Bundle: org.springframework.osgi.extender;
> bundle-version="1.1.2"
>
> I was able to solve it some days ago, removing all entries in dependencies
> tab, then adding my application bundle and clicking "Add required
> plug-ins" button, but the error appeared again and I cannot resolve it the
> same way this time. Very strange.
>
> I would appreciate a lot your help. I must export the product as soon as
> possible and I'm having problems with the headless build as well, but lets
> discus it in a separate thread.
>
> Thanks a lot
> Gaston.
>
> Tom Schindl wrote:
>
>> Hi,
>>
>> I have a strange problem. I have a medium sized project which use a lot
>> bundles (Eclipse-RCP, Spring-OSGi and Repacked Bundles from SpringSource
>> (=Hibernate+Dependencies)).
>>
>> When I run my application and or validate it inside the Run-Dialog all
>> dependencies are resolved and the application starts with problems.
>>
>> Now when I create a .product-File from them I suddenly get
>> Import-Package: xxx conflicts. Why does that happen only on export and
>> not when I validate the bundles in side the Run-Dialog?
>>
>> Tom
>>
Previous Topic:Plugin Development Process
Next Topic:Retrieve activated plugins for extension id
Goto Forum:
  


Current Time: Mon Jun 14 14:46:47 GMT 2021

Powered by FUDForum. Page generated in 0.02289 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top